%global momorel 1
%define glib2_version             2.50.0
%define gtk3_version              3.22.0
%define udisks_version            2.1.3
%define gnome_settings_daemon_version 3.12.0

# Only enable if using patches that touches configure.ac,
# Makefile.am or other build system related files
#
%global enable_autoreconf 0

Summary: Disks
Name: gnome-disk-utility
Version: 3.24.1
Release: %{momorel}m%{?dist}
License: LGPLv2+
Group: System Environment/Libraries
URL: http://git.gnome.org/browse/gnome-disk-utility
Source0: http://download.gnome.org/sources/gnome-disk-utility/3.24/%{name}-%{version}.tar.xz
NoSource: 0
BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: gtk3-devel >= %{gtk3_version}
BuildRequires: gnome-settings-daemon-devel >= %{gnome_settings_daemon_version}
BuildRequires: gettext
BuildRequires: desktop-file-utils
BuildRequires: libudisks2-devel >= %{udisks_version}
BuildRequires: gnome-common
BuildRequires: intltool
BuildRequires: libsecret-devel
BuildRequires: systemd-devel
BuildRequires: xz-devel
# for xsltproc
BuildRequires: libxslt
BuildRequires: docbook-style-xsl
BuildRequires: libpwquality-devel
BuildRequires: libcanberra-devel
BuildRequires: libdvdread-devel
BuildRequires: libnotify-devel

Requires: gnome-icon-theme-symbolic
Requires: udisks2

Obsoletes: gnome-disk-utility-format
Obsoletes: nautilus-gdu
Obsoletes: gnome-disk-utility-libs
Obsoletes: gnome-disk-utility-devel
Obsoletes: gnome-disk-utility-ui-libs
Obsoletes: gnome-disk-utility-ui-devel
Obsoletes: gnome-disk-utility-nautilus

%if 0%{?enable_autoreconf}
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool
%endif

%description
This package contains the Disks and Disk Image Mounter applications.
Disks supports partitioning, file system creation, encryption,
fstab/crypttab editing, ATA SMART and other features

%prep
%setup -q

%build
%if 0%{?enable_autoreconf}
autoreconf
%endif
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

rm -f %{buildroot}%{_libdir}/gnome-settings-daemon-3.0/*.la
rm -f %{buildroot}%{_libdir}/gnome-settings-daemon-3.0/*.a

%find_lang %{name}

%post
for d in hicolor HighContrast ; do
    touch --no-create %{_datadir}/icons/$d &>/dev/null || :
done
update-desktop-database %{_datadir}/applications &> /dev/null

%postun
update-desktop-database %{_datadir}/applications &> /dev/null
if [ $1 -eq 0 ] ; then
    glib-compile-schemas %{_datadir}/glib-2.0/schemas &>/dev/null || :
    for d in hicolor HighContrast ; do
        touch --no-create %{_datadir}/icons/$d &>/dev/null || :
        gtk-update-icon-cache %{_datadir}/icons/$d &>/dev/null || :
    done
fi

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas &>/dev/null || :
for d in hicolor HighContrast ; do
    gtk-update-icon-cache %{_datadir}/icons/$d &>/dev/null || :
done


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README AUTHORS NEWS COPYING
%{_bindir}/gnome-disks
%{_bindir}/gnome-disk-image-mounter
%{_datadir}/appdata/org.gnome.DiskUtility.appdata.xml
%{_datadir}/applications/org.gnome.DiskUtility.desktop
%{_datadir}/applications/gnome-disk-image-mounter.desktop
%{_datadir}/applications/gnome-disk-image-writer.desktop
%{_datadir}/dbus-1/services/org.gnome.DiskUtility.service
%{_datadir}/glib-2.0/schemas/org.gnome.Disks.gschema.xml
%{_datadir}/icons/hicolor/*/apps/gnome-disks*
%{_mandir}/man1/*
%{_sysconfdir}/xdg/autostart/org.gnome.SettingsDaemon.DiskUtilityNotify.desktop
%{_libexecdir}/gsd-disk-utility-notify


%changelog
* Sun May 28 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (3.24.1-1m)
- update to 3.24.1

* Thu Mar 16 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (3.23.92-1m)
- update to 3.23.92

* Tue Dec 16 2014 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.14.0-2m)
- change glib2_version from 2.43.0 to 2.42.0

* Fri Nov 14 2014 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.14.0-1m)
- update to 3.14.0

* Sun Jun 22 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.12.1-1m)
- update to 3.12.1

* Wed Mar 26 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.12.0-1m)
- update to 3.12.0

* Sun Jun 30 2013 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.8.2-1m)
- update to 3.8.2

* Sat Oct  6 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.6.1-1m)
- update to 3.6.1

* Fri Sep 21 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.6.0-1m)
- update to 3.6.0

* Sat Jun 30 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.5.2-1m)
- update to 3.5.2

* Thu Jun 28 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.0.2-2m)
- rebuild for glib 2.33.2

* Sat Jul 16 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.0.2-1m)
- update to 3.0.2

* Sun May  1 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.0.0-1m)
- update to 3.0.0

* Mon Apr 25 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.32.0-4m)
- rebuild against libnotify-0.7.2

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.32.0-3m)
- rebuild for new GCC 4.6

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.32.0-2m)
- rebuild for new GCC 4.5

* Sat Oct  2 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.32.0-1m)
- update to 2.32.0

* Sun Sep 19 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.30.1-7m)
- add BuildRequires

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (2.30.1-6m)
- full rebuild for mo7 release

* Tue Aug 10 2010 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.30.1-5m)
- add Requires: udisks

* Thu Jul 15 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.30.1-4m)
- fix req

* Wed Jul 14 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.30.1-4m)
- split libs and nautilus

* Tue Jul  6 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.30.1-3m)
- gtkdocize again (with gtk-doc-1.14)

* Mon Jul  5 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.30.1-2m)
- do not use gtkdocize ;-) (gtk-doc-1.15)

* Thu Mar 25 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (2.30.1-1m)
- update to 2.30.1

* Thu Mar 18 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (2.30.0-1m)
- update to 2.30.0

* Sun Dec 20 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.28.1-3m)
- fix build with gtk-doc 1.13
-- add gtkdocize --copy; autoreconf -vfi

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.28.1-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Wed Nov  4 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.28.1-1m)
- update to 2.28.1

* Sun Sep 27 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.28.0-1m)
- initial build
